

#include "colors.inc"

camera {
	location <0,0,-10>
	look_at  <0,0,0>
}

// create a point "spotlight" (conical directed) light source
light_source
{
  0*x                     // light's position (translated below)
  color rgb <.7,.7,.7>    // light's color
  spotlight               // this kind of light source
  translate <4, 4.5, -30> // <x y z> position of light
  point_at <6, 4.5, 0>    // direction of spotlight
  radius 50               // hotspot (inner, in degrees)
  tightness 90            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 20              // intensity falloff radius (outer, in degrees)
}

light_source
{
  0*x                     // light's position (translated below)
  color rgb <.7,.7,.7>    // light's color
  spotlight               // this kind of light source
  translate <-4, -4.5, -30> // <x y z> position of light
  point_at <-6, -4.5, 0>  // direction of spotlight
  radius 50               // hotspot (inner, in degrees)
  tightness 90            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 20              // intensity falloff radius (outer, in degrees)
}

#include "metals.inc"

box {<10,-10,0><-10,10,1> 
	pigment{White} 
	finish{phong .5 phong_size 10}  
//	texture{T_Silver_4A}
	normal {granite 1 scale 1.5 turbulence .5 scallop_wave}
}  

box {<10,3.75,0><-10,-3.75,-0.1> 
	pigment{White}
	finish{phong 1} 
//	texture{T_Silver_4A}
}   

box {<10,4.8,0><-10,5,-0.1> 
	pigment{White}
	finish{phong 1}
//	texture{T_Silver_4A}
}

box {<10,-4.8,0><-10,-5,-0.1> 
	pigment{White}
	finish{phong 1} 
//	texture{T_Silver_4A}
} 

// create a TrueType text shape
text
{
  ttf             // font type (only TrueType format for now)
  "arial.ttf",  // Microsoft Windows-format TrueType font file name
  "Termessos",      // the string to create
  2,              // the extrusion depth
  0               // inter-character spacing 
  
  pigment{rgb <2,2,2>}
  finish {phong .5}
//  texture{T_Copper_1D} 
  scale .8
  translate <1,4,-.2>
} 

// create a TrueType text shape
text
{
  ttf             // font type (only TrueType format for now)
  "arial.ttf",  // Microsoft Windows-format TrueType font file name
  "Turkey",      // the string to create
  2,              // the extrusion depth
  0               // inter-character spacing 
  
  pigment{rgb <2,2,2>}
  finish {phong .5} 
//  texture{T_Copper_1D}  
  scale .6
  translate <-6,-4.5,-.2>
} 

// create a TrueType text shape

text
{
  ttf             // font type (only TrueType format for now)
  "arial.ttf",  // Microsoft Windows-format TrueType font file name
  "13",      // the string to create
  .01,              // the extrusion depth
  0               // inter-character spacing 
  
  pigment{rgb <1,1,1>}
  finish {ambient .3 diffuse 0}
//  texture{T_Copper_1D}   
  scale .6
  translate <5,-4.5,-.2>
}


#include "13sky.inc" 


